import { select, arc } from 'd3';

const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');

const g = svg.append('g')
	.attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle = g.append('circle')
	.attr('r', height / 2)
	.attr('fill', 'yellow')
	.attr('stroke', 'black')

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadious = 30;
const eyebrowWidth = 50;
const eyebrowHeight = 15;
const eyebrowYOffset = -70;

const eyesGroup = g.append('g')
	.attr('transform', `translate(${0}, ${eyeYOffset})`);

const leftEye = eyesGroup
	.append('circle')
    .attr('r', eyeRadious)
    .attr('cx', -eyeSpacing);

const RightEye = eyesGroup
	.append('circle')
    .attr('r', eyeRadious)
    .attr('cx', eyeSpacing)

const eyebrowsGroup = eyesGroup.append('g')
	.attr('transform', `translate(${0}, ${eyebrowYOffset})`)

eyebrowsGroup
    .transition().duration(2000)
      .attr('transform', `translate(${0}, ${eyebrowYOffset - 50})`)
    .transition().duration(2000)
      .attr('transform', `translate(${0}, ${eyebrowYOffset})`);

const leftEyeBrow = eyebrowsGroup
	.append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const rightEyeBrow = eyebrowsGroup
	.append('rect')
    .attr('x', eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)

const mouth = g.append('path')
	.attr('d', arc()({
  innerRadius: 150,
  outerRadius: 170,
  startAngle: Math.PI / 2,
  endAngle: Math.PI * 3 / 2
}));

const nose = g.append('line')
	.attr('x1',-20)
	.attr('x2', 30)
	.attr('y1', 0)
 	.attr('y1', 0)       
        
        
        